lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From puffm...@darksleep.com (Steven J. Owens)
Subject Re: compile lucene-1.2-rc2
Date Fri, 02 Nov 2001 21:09:23 GMT
> Steven,
> 
> I believe Ant 1.4 (really 1.4.1 because 1.4 was buggy) is required.
> I had Ant 1.3 until recently and it wouldn't work with anakia stuff in
> build.xml because it's recently been added to optional Ant stuff, I
> believe.

     Ah, thanks, yeah, that did the trick.  Okay, here's the finished
draft:

------------------------------------------------------------------------------
Build Instructions for Lucene-1.2-rc2

Basic steps:
     0) download lucene-1.2-rc2 from the Apache Project
     1) set up JDK 1.3, Ant 1.4, and the Ant 1.4 optional.jar
     2) cd into the top folder of the jakarta-lucene checkout
     3) run ant

Step 0) download lucene-1.2-rc2 from the Apache Project

     We'll assume you already did Step 0, or you wouldn't be reading
this file.  However, you might have received this file by some
alternate route, or you might have an incomplete copy of the Lucene,
so:

     Lucene 1.2-rc2 is available for download at:

http://jakarta.apache.org/builds/jakarta-lucene/release/v1.2-rc2/

     Download either a zip or a tarred/gzipped version of the archive,
and uncompress it into a directory of your choice.

Step 1) Set up your development environment (JDK 1.3, Ant 1.4, Ant 1.4
        optional jar).

     We'll assume that you know how to get and set up the JDK - if you
don't, then we suggest starting at http://java.sun.com and learning more
about Java, before returning to this README.

     Lucene works with earlier versions of Java (WHICH VERSIONS?).
However, if you're going to work with the development version of
Lucene, we recommend you stick with the most current version of Java
(at the time of this writing, JDK 1.3).  Also, note that if you're
working with the Lucene source, you'll need to use Ant (see below) and
Ant requires at least JDK 1.1 (and in the future will likely move to
requiring JDK 1.2, according to the Ant install docs).

     Like most of the Jakarta projects, Lucene uses Apache Ant for
build control.  Specifically, you MUST use Ant version 1.4.

     Ant is "kind of like make without make's wrinkles".  Ant is
implemented in java and uses XML-based configuration files.  You can
get it at:

     http://jakarta.apache.org/ant/index.html

     Specifically, you can get the binary distributions at:

     http://jakarta.apache.org/builds/jakarta-ant/release/v1.4.1/bin/

     You'll need to download both the Ant binary distribution 
optional jar file.  Install the binary distribution according to
the instructions under the "Installing Ant" link at:

     http://jakarta.apache.org/ant/manual/index.html

Step 3) Cd into the top folder of the jarkata-lucene checkout.

     The top directory of the checkout contains the build.properties
and build.xml files.  You don't need to change any of the settings in
these files, but you do need to run ant from this location so it knows
where to find them.

Step 4) Run ant.

     Assuming you have ant in your PATH and both of the ant jars (the
main jar and the optional jar) in your CLASSPATH, simply entering
"ant" at the shell prompt and command prompt should invoke ant, and
ant will by default look for the "build.xml" file in your current
directory, where it should find it.


For further information on Lucene, go to:
     http://jakarta.apache.org/lucene

We strongly suggest that you join the Lucene-User mailing list:
     lucene-user-subscribe@jakarta.apache.org


Copyright 2001, Steven J. Owens (puff@darksleep.com), all rights are
assigned to Doug Cutting (or, at Doug Cutting's discretion, to the
Apache Project).

Please post suggestions, questions, corrections or additions to this
document to the lucene-user mailing list.
------------------------------------------------------------------------------

Steven J. Owens
puff@darksleep.com


--
To unsubscribe, e-mail:   <mailto:lucene-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:lucene-user-help@jakarta.apache.org>


Mime
View raw message